PROOF(1)

NAME
proof - troff output interpreter

SYNOPSIS
proof [ -mmag ] [ -/nview ] [ -F dir ] [ -d ] [ file ]

DESCRIPTION
Proof reads troff(1) intermediate language from file or standard input and simulates the resulting pages on the screen.

After a page of text is displayed, proof pauses for a command from the keyboard. The typed commands are:

newline
    Go on to next page of text.

-   Go back to the previous page.

q   Quit.

pn  Print page n. An out-of-bounds page number means the end nearer to that number; a missing number means the current page; a signed number means an offset to the current page.

n   Same as pn.

c   Clear the screen, then wait for another command.

mmag
    Change the magnification at which the output is printed. Normally it is printed with magnification .9; mag=.5 shrinks it to half size; mag=2 doubles the size.

xval
    Move everything val screen pixels to the right (left, if val is negative).

yval
    Move everything val screen pixels down (up, if val is negative).

/nview
    Split the window into nview pieces. The current page goes into the rightmost, bottommost piece, and previous pages are shown in the other pieces.

-F dir
    Use dir for fonts instead of /lib/font/bit.

d   Toggle the debug flag.

These commands are also available, under slightly different form, from a menu on button 3. The pan menu item allows arbitrary positioning of the page: after selecting pan, press the mouse button again and hold it down while moving the page to the desired location. The page will be redisplayed in its entirety when the button is released. Mouse button 1 also pans, without the need for selecting from a menu.

The m, x, y, F, /, and d commands are also available as command line options.

FILES

/font/*
    fonts

/font/MAP
    how to convert troff output fonts and character names into screen fonts and character numbers

SOURCE
/src/cmd/proof

SEE ALSO
lp(1), gs(1), page(1)
J. F. Ossanna and B. W. Kernighan, ``Troff User's Manual''